Subject: bug#74413: [PATCH] Allow to store and read repository information of VCS builds

From: Po Lu <[email-masked]>
Date: Thu, 13 Feb 2025 23:00:44 +0800

Stefan Kangas <[email-masked]> writes:

> Björn Bidar <[email-masked]> writes:
>
>> The Android builds obviously have the revision already integrated
>> as the logic that I'm trying to reuse here have been already
>> implemented for Android.
>> I don't know about the Guix build process but for Arch git isn't
>> into the change-root when building Emacs from the tarball that has been
>> generated before hand.
>>
>> The OBS can build packages for all kinds of Linux distributions such as
>> Flatpak, Debian, Fedora, SUSE, Ubuntu etc.
>>
>> So this change can help building test builds for all these distributions
>> in theory. Personally just building for SUSE.
>
> Could you please see if you can't work around this in the OBS build
> scripts themselves?  I'd really rather not introduce yet another
> complication into our already extremely complex build process.  Even
> understanding the use case here was a struggle, and having this in our
> build process means that we have to continue maintaining it.  So for
> now, I believe this is a wontfix.  Sorry, and thanks for understanding.
>
> Please let us know if all such efforts fail, however, and we might
> reconsider.

Might you explain what the request at hand _is_, and how it concerns the
Android port?  I skimmed the issue but could not conclude anything.